> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/ads-txt

> Singular endpoint returning Ads.txt insight data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/ads-txt
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/ads-txt:
    get:
      tags:
        - Reporting/Insights Hub/Ads.txt Insights
        - public
      summary: /report/insight/ads-txt
      description: Singular endpoint returning Ads.txt insight data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          schema:
            type: integer
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - app
              - web
            default: web
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      domain:
                        type: string
                      source:
                        type: string
                      adstxt_health:
                        type: object
                        properties:
                          managed:
                            type: boolean
                          file_found:
                            type: integer
                          content_type:
                            type: string
                          ci_present:
                            type: integer
                          up_to_date:
                            type: integer
                          last_updated:
                            type: string
                          insight:
                            type: object
                            properties:
                              total_account:
                                type: integer
                              total_comment:
                                type: integer
                              total_direct:
                                type: integer
                              total_empty:
                                type: integer
                              total_exchange:
                                type: integer
                              total_file_lines:
                                type: integer
                              total_issues:
                                type: integer
                              total_present_lines:
                                type: integer
                              total_reseller:
                                type: integer
                            required:
                              - total_account
                              - total_comment
                              - total_direct
                              - total_empty
                              - total_exchange
                              - total_file_lines
                              - total_issues
                              - total_present_lines
                              - total_reseller
                          domain_lines:
                            type: array
                            items:
                              type: string
                          missing_lines:
                            type: array
                            items:
                              type: string
                          unique_errors:
                            type: object
                            properties:
                              duplicate:
                                type: integer
                            required:
                              - duplicate
                          exchanges:
                            type: object
                            properties:
                              openx.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                                  - Adagio - Content Ignite
                                  - AdaptMX - Content Ignite
                              indexexchange.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - AdaptMX - Content Ignite
                                  - Google Ad Manager - Content Ignite
                                  - Adagio - Content Ignite
                              applovin.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              sparteo.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              video.unrulymedia.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                              rubiconproject.com:
                                type: object
                                properties:
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Magnite/Rubicon - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - AdaptMX - Content Ignite
                                  - Untracked
                                  - Adagio - Content Ignite
                                  - Google Ad Manager - Content Ignite
                                  - Magnite/Rubicon - Content Ignite
                              pubmatic.com:
                                type: object
                                properties:
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Pubmatic - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - AdaptMX - Content Ignite
                                  - Untracked
                                  - Adagio - Content Ignite
                                  - Google Ad Manager - Content Ignite
                                  - Pubmatic - Content Ignite
                              lijit.com:
                                type: object
                                properties:
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - AdaptMX - Content Ignite
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                                  - Adagio - Content Ignite
                              appnexus.com:
                                type: object
                                properties:
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - AdaptMX - Content Ignite
                                  - Untracked
                                  - Adagio - Content Ignite
                                  - Google Ad Manager - Content Ignite
                              adform.com:
                                type: object
                                properties:
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - AdaptMX - Content Ignite
                                  - Untracked
                              google.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                              aniview.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              smartadserver.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                                  - AdaptMX - Content Ignite
                                  - Adagio - Content Ignite
                              yieldmo.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              themediagrid.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              sovrn.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                              sonobi.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              smaato.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                              sharethrough.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Google Ad Manager - Content Ignite
                                  - Adagio - Content Ignite
                              rhythmone.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              onetag.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  OneTag - Content Ignite:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                                  - OneTag - Content Ignite
                                  - Google Ad Manager - Content Ignite
                              mintegral.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              media.net:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              improvedigital.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                                  - Google Ad Manager - Content Ignite
                              districtm.io:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              contextweb.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              beachfront.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              admanmedia.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                              ad-generation.jp:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              33across.com:
                                type: object
                                properties:
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Google Ad Manager - Content Ignite
                                  - Adagio - Content Ignite
                                  - Untracked
                              adyoulike.com:
                                type: object
                                properties:
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Google Ad Manager - Content Ignite
                                  - Untracked
                              axonix.com:
                                type: object
                                properties:
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Google Ad Manager - Content Ignite
                              contentignite.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              freewheel.tv:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                              gumgum.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              loopme.com:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                                  - Untracked
                              pubnative.net:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                                  - Untracked
                              triplelift.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                              verve.com:
                                type: object
                                properties:
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Google Ad Manager - Content Ignite
                                  - Untracked
                              xad.com:
                                type: object
                                properties:
                                  Google Ad Manager - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Google Ad Manager - Content Ignite
                              outbrain.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              vidazoo.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              nativo.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              risecodes.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              xapads.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              richaudience.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              smilewanted.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              flashb.id:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              adcolony.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              appads.in:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              152media.info:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              aps.amazon.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                  Amazon Publisher Services - Content Ignite Limited:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                                  - >-
                                    Amazon Publisher Services - Content Ignite
                                    Limited
                              minutemedia.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              visiblemeasures.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              criteo.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              dpgmedia.be:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              rosseladvertising.be:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              audienzz.ch:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              hoopladigital.co.uk:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              teads.tv:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              spotim.market:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              massarius.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              lemmatechnologies.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              amxrtb.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - AdaptMX - Content Ignite
                              xandr.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              viously.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              bricks-co.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              adagio.io:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                                  - Adagio - Content Ignite
                              conversantmedia.com:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                                  - Untracked
                              e-planning.net:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                              seedtag.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              yahoo.com:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                  AdaptMX - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                                  - AdaptMX - Content Ignite
                              connectad.io:
                                type: object
                                properties:
                                  Adagio - Content Ignite:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Adagio - Content Ignite
                              browsi.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              teal.works:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              supply.colossusssp.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              spotxchange.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                required:
                                  - Untracked
                              c.amazon-adsystem.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              undertone.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                      - reseller
                                required:
                                  - Untracked
                              9dotsmedia.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              lkqd.net:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              vidoomy.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              markappmedia.site:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              orangeclickmedia.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              lnb.ortb.net:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              altitude-arena.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              spotx.tv:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                      - direct
                                required:
                                  - Untracked
                              inmobi.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      reseller:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - reseller
                                required:
                                  - Untracked
                              adintensity.tv:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
                                      - direct
                                required:
                                  - Untracked
                              springserve.com:
                                type: object
                                properties:
                                  Untracked:
                                    type: object
                                    properties:
                                      direct:
                                        type: array
                                        items:
                                          type: integer
                                    required:
[...]
